Bug 15078 - kmail crashes at startup
kmail crashes at startup
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kdenetwork (Show other bugs)
7.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-01 18:09 EDT by Stephen Rasku
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-01 18:09:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Rasku 2000-08-01 18:09:08 EDT
I attempted to start kmail from a konsole.  The Crash Handler indicates a
SEGV occured with the following backtrace:

Here is a backtrace generated by DrKonqi:
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
[New Thread 1024 (LWP 19517)]
0x413a2749 in __wait4 () from /lib/libc.so.6
#0  0x413a2749 in __wait4 () from /lib/libc.so.6
#1  0x41409758 in __DTOR_END__ () from /lib/libc.so.6
#2  0x40a97357 in KCrash::defaultCrashHandler () from
/usr/lib/libkdecore.so.3
#3  <signal handler called>
#4  0x40e2e0db in QObject::queryMetaObject ()
   from /usr/lib/qt-2.2.0/lib/libqt.so.2
#5  0x40e2d024 in QObject::connect () from /usr/lib/qt-2.2.0/lib/libqt.so.2
#6  0x808d963 in KDialog::marginHint ()
#7  0x8080da6 in KDialog::marginHint ()
#8  0x807d1a8 in KDialog::marginHint ()
#9  0x817957c in KDialog::marginHint ()
#10 0x817c385 in KDialog::marginHint ()
#11 0x817cdaa in KDialog::marginHint ()
#12 0x40a3c88e in KUniqueApplication::process () from
/usr/lib/libkdecore.so.3
#13 0x40bf1f4f in DCOPClient::receive () from /usr/lib/libDCOP.so.1
#14 0x40bdef01 in DCOPProcessMessage () from /usr/lib/libDCOP.so.1
#15 0x402b0c2d in IceProcessMessages () from /usr/X11R6/lib/libICE.so.6
#16 0x40bf3796 in DCOPClient::processSocketData () from
/usr/lib/libDCOP.so.1
#17 0x40e2e901 in QObject::activate_signal ()
   from /usr/lib/qt-2.2.0/lib/libqt.so.2
#18 0x40fd3286 in QSocketNotifier::activated ()
   from /usr/lib/qt-2.2.0/lib/libqt.so.2
#19 0x40e78367 in QSocketNotifier::event ()
   from /usr/lib/qt-2.2.0/lib/libqt.so.2
#20 0x40dc647e in QApplication::notify () from
/usr/lib/qt-2.2.0/lib/libqt.so.2
#21 0x40d48a6d in sn_activate () from /usr/lib/qt-2.2.0/lib/libqt.so.2
#22 0x40d48e18 in QApplication::processNextEvent ()
   from /usr/lib/qt-2.2.0/lib/libqt.so.2
#23 0x40dc7b0c in QApplication::enter_loop ()
   from /usr/lib/qt-2.2.0/lib/libqt.so.2
#24 0x40dcda98 in QDialog::show () from /usr/lib/qt-2.2.0/lib/libqt.so.2
#25 0x40dcd441 in QDialog::exec () from /usr/lib/qt-2.2.0/lib/libqt.so.2
#26 0x40811e50 in KMessageBox::information () from /usr/lib/libkdeui.so.3
#27 0x80f38ac in KDialog::marginHint ()
#28 0x80f354c in KDialog::marginHint ()
#29 0x817ae5d in KDialog::marginHint ()
#30 0x817d287 in KDialog::marginHint ()
#31 0x41310345 in __libc_start_main (
    main=0x817d1c0 <KDialog::marginHint(void)+1141592>, argc=1, 
    ubp_av=0xbffffae4, init=0x8060768 <_init>, fini=0x81b1d88 <_fini>, 
    rtld_fini=0x4000de14 <_dl_fini>, stack_end=0xbffffadc)
    at ../sysdeps/generic/libc-start.c:111

Here is the text from the konsole window:

entering KMKernel::init()
KMKernel::openReader called
KCrash: crashing.... crashRecursionCounter = 2
KCrash: Application Name = kmail path = <unknown>
0
qclipboard_x11.cpp:726: TODO: fix the _QT_SELECTION_SENTINEL mechanism
Comment 1 Bernhard Rosenkraenzer 2000-08-02 07:05:40 EDT
Fixed.

Note You need to log in before you can comment on or make changes to this bug.